> ## Documentation Index
> Fetch the complete documentation index at: https://docs.revoengine.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update user profile.

> 
    USER: true
    SERVICE ACCOUNT: false
    



## OpenAPI

````yaml post /api/v1/me
openapi: 3.0.0
info:
  title: RevoEngine Platform API
  description: >-
    Official documentation of RevoEngine Platform API<br>Build:
    67df453bb5b0f9b2894535729c66632b73a015a6
  version: Beta - 0.1.0
  contact:
    name: Support
    url: https://help.revong.com
    email: support@revong.com
  termsOfService: https://docs.revong.com/tos
servers:
  - url: https://api.revong.com
    description: RevoEngine Platform API - Production
  - url: https://api.test.revong.com
    description: RevoEngine Platform API - Test
security: []
tags: []
externalDocs:
  description: Documentation
  url: https://docs.revong.com
paths:
  /api/v1/me:
    post:
      tags:
        - Me
      summary: Update user profile.
      description: |2-

            USER: true
            SERVICE ACCOUNT: false
            
      operationId: MeController_changeMeDetails
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateMeDto'
      responses:
        '201':
          description: OK.
        '400':
          description: Bad input of the data.
        '403':
          description: Forbidden.
        '404':
          description: Not found.
      security:
        - bearer: []
components:
  schemas:
    UpdateMeDto:
      type: object
      properties:
        name:
          type: string
          description: You can to provide name of the user.
        surname:
          type: string
          description: You can to provide surname of the user.
        phone:
          type: string
          description: >-
            You can to provide phone number of the user (must be valid), it
            should include region e.g. +48...
        code:
          type: string
          description: You must provide code when phone or mail provided.
        metaData:
          type: object
          description: ''
        advancedData:
          type: object
          description: ''
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token with Platform JWT token or API Key.
      type: http

````